Subject: Re: new version of linuxdoc-sgml
From: Kai Harrekilde-Petersen <[email-masked]>
To: Linux Documentation Project writers <[email-masked]>
Date: Sun, 2 Jul 1995 14:40:43 +0200 (MET DST)

Greg Hankins wrote:
> I've just released a new version of linuxdoc-sgml.  We are now at
> version 1.2.  This version includes various patches to version 1.1
> that were floating around on sunsite and in Matt's mailbox.  There
> are several formatting fixes, as well as support for texinfo format.
> Read the CHANGES file for exact details.  Anyways, please upgrade you
> copies to this version.
> 
> In the meantime, I've agreed to become the (unofficial) linuxdoc-sgml
> maintainer.  I think it goes hand-in-hand with being HOWTO
> coordinator, because I want to be uptodate with what I format and
> send out to the world.

First of all, thanks to Greg for maintaining the SGML package.

Secondly: I can see that there are still a few bugs in v1.2

1) It seems like the patch for european characters I did some time ago
never made it into v1.2:
 o	Aring isn't defined in rep/*/general
	LaTeX: "{\AA}", nroff: "AA",HTML: something suitable
 o	In rep/nroff/general the following changes should be made (IMHO):
	aring -> "aa"
	Oslash -> "OE"
	oslash -> "oe"

(That is at least how they are "transcribed" in Denmark, when we have to
stick to the English letters).

2) The ascii mode (and probably the html mode too) still junks section
headers which are "long".  I have found that this is because the header is
broken up into two (or more) lines in the groff input, eg:

<some control sequence>
This is very long header which continues onto line number two, which causes
groff to break.
<another control sequence>

This will end up in the output as this:

SEC.NUM groff to break. This is very long header which continues onto line
number two, which causes

I hope this gives someone a lead for where to look.

PS: Sorry to bring this up again, but what happened to the money that Matt
sent to Lars?  I remember that page counts was supposed to be done, but I
must have missed the outcome (or my howto is perhaps too short to be worth
anything ;-)

Kai
-- 
Kai Harrekilde-Petersen  <[email-masked]>  Linux: choice of a GNU generation
>> Inside every little problem there's a BIG problem, struggling to get out <<
===== Please do not use my old account <[email-masked]> as it's void =====